"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.busChannel = exports.confUpdatesChannel = exports.evolveTsToDate = exports.tsToPl = exports.tsToDate = exports.dateToTs = void 0;

var R = _interopRequireWildcard(require("ramda"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

// import Tiip from 'jstiip';
var dateToTs = function dateToTs(da) {
  return da.toISOString();
};

exports.dateToTs = dateToTs;

var tsToDate = function tsToDate(ts) {
  return new Date(ts);
};

exports.tsToDate = tsToDate;

var tsToPl = function tsToPl(msg) {
  return R.prepend(msg.ts, msg.pl);
};

exports.tsToPl = tsToPl;
var evolveTsToDate = R.evolve({
  ts: tsToDate
});
exports.evolveTsToDate = evolveTsToDate;
var confUpdatesChannel = R.curry(function (type, rid) {
  return "conf/".concat(type, "/update/").concat(rid);
});
exports.confUpdatesChannel = confUpdatesChannel;

var busChannel = function busChannel(rid) {
  return "data/".concat(rid);
};

exports.busChannel = busChannel;