"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PagePadding = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames2 = _interopRequireDefault(require("classnames"));

var _styles = require("@material-ui/core/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// import Paper from '@material-ui/core/Paper';
var styles = function styles(theme) {
  return {
    padding: _defineProperty({
      paddingTop: theme.spacing.unit * 2,
      paddingBottom: 100
    }, theme.breakpoints.up('sm'), {
      paddingTop: theme.spacing.unit * 3
    }),
    paddingH: _defineProperty({
      paddingLeft: theme.spacing.unit * 1,
      paddingRight: theme.spacing.unit * 1
    }, theme.breakpoints.up('sm'), {
      paddingLeft: theme.spacing.unit * 3,
      paddingRight: theme.spacing.unit * 3
    })
  };
};

var propTypes = {
  children: _propTypes["default"].node.isRequired,
  noHoriz: _propTypes["default"].bool,
  classes: _propTypes["default"].objectOf(_propTypes["default"].any).isRequired
};
var defaultProps = {
  noHoriz: false
};

var PagePaddingC = function PagePaddingC(_ref) {
  var noHoriz = _ref.noHoriz,
      classes = _ref.classes,
      children = _ref.children;
  return _react["default"].createElement("div", {
    className: (0, _classnames2["default"])(classes.padding, _defineProperty({}, classes.paddingH, !noHoriz))
  }, children);
};

PagePaddingC.propTypes = propTypes;
PagePaddingC.defaultProps = defaultProps;
var PagePadding = (0, _styles.withStyles)(styles)(PagePaddingC);
exports.PagePadding = PagePadding;